---
title: "Integration Model"
slug: "integration-model"
updated: 2024-10-04T12:54:23Z
published: 2024-10-04T12:54:23Z
canonical: "docs.onespan.com/integration-model"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onespan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Integration Model

The OneSpan Identity Verification integration model is geared towards simplicity and security. System-to-system integration is done via the OneSpan Identity Verification REST API. For more information, see [OneSpan Identity Verification REST API](/v1/docs/onespan-identity-verification-rest-api).

## Authentication

Authentication for access to the OneSpan Identity Verification REST API happens via two-legged OAuth2 with a JSON Web Token (JWT). OneSpan support provides a JWT to OneSpan Identity Verification customers. This token is used to restrict access to resources that are authorized for a given tenant, such as transactions, providers, or data sources. Effectively, the JWT Bearer schema is used as client credentials for API requests.

```http
PUT /api/transaction/ HTTP1.1
Host: onespan.com
Accept: application/json, text/javascript
Authorization: Bearer 00D50000000IehZ\!
 AQcAQH0dMHZfz972Szmpkb58urFRkgeBGsx...

{
 "tenant_id":"5e52d7b8-8b18-41a4-9187-d4ce75af6815",
 "workflow_id":"80b601c9-f102-4761-9eaa-90ba8fcb58b6",
 "urlSetKey":"default",
 "brand_id:"a089f718-f12d-4b13-b82e-e1d8b324337d",
 "language":"english",
 "users": [...],
 "documents": [...]
}
```

## JSON Web Tokens

The OneSpan Professional Services Team provides the access token, which will be used by the client when creating transactions.

- Scopes: tenant_access

### Access token

Header: Algorithm and token type

```http
{
 "alg":"HS384"
 "typ":"JWT"
}
```

Payload: Data

```http
{
 "scope": [
 "tenant_access"
 ],
 "exp": 3698071610,
 "jti": "5fbe2af0-fa42-4a47-9fe4-14b150b26180"
 "client_id": "onespan"
}
```

Token

```plaintext
eyJhbGciOiJIUzM4NCIsInR5cCI6IkpXVCJ9.eyJzY29wZSI6WyJ0ZW5hbnRfYWNjZXNzIl0sImV4cCI6MY5ODA3MTYxMCwianRpIjoiNWZiZTJhZjAtZmE0Mi00YTQ3LTlmZTQtMTRiMTUwYjI2MTgwIiwiY2xpZW50X 2lkIjoiZGVhbGZsbyJ9.HxaQSMs27jIlXz9ZB1tZy3-LN8w3p_67bn-jFe9Nf4nepIfpwHu4xoX_
gjeiLSzQ
```

### Session token

Header: Algorithm and token type

```http
{
 "alg":"HS384"
 "typ":"JWT"
}
```

Payload: Data

```http
{
 "session": {
 "role": "Borrower"
},
 "scope": [
 "session_creation_authorization_code"
],
 "transaction_uuid": "322c8c60-2b82-4ac4-90d5-54ca1fee130b,
 "exp": 1550591677,
 "jti": "d6562c41-e0d4-4f03-8b72-455d691b44d6",
 "client_id": "onespan"
}
```

Token

```plaintext
eyJhbGciOiJIUzM4NCIsInR5cCI6IkpXVCJ9.eyJzZXNzaW9uIjp7InJvbGUiOiJCb3Jyb3dlciJ9LCJzY29wZSI6WyJzZXNzaW9uX2NyZWF0aW9uX2F1dGhvcml6YXRpb25fY29kZSJdLCJ0cmFuc2FjdGlvbl91dWlkIjoiMzIyYzhjNjAtMmI4Mi00YWM0LTkwZDUtNTRjYTFmZWUxMzBiIiwiZXhwIjoxNTUwNTkxNjc3LCJqdGkiOiJkNjU2MmM0MS1lMGQ0LTRmMDMtOGI3Mi00NTVkNjkxYjQ0ZDYiLCJjbGllbnRfaWQiOiJkZWFsZmx 
vIn0.7Sa-H9SvN9DT9nK4_Jsdcct2oyNdVW2fC9g6aOrhBG Fbor-FuwG3QL9bL0PaHu-2
```
